<?php
if ( ! defined( 'ABSPATH' ) ) { die( '-1' ); }
/*
 * Templatation.com
 *
 * Hero block sc for VC
 *
 */
function tt_gallery_shortcode_fn_vc() {
	

	vc_map( 
		array(
			"icon" => 'tt-vc-block',
			"name" => esc_html__("LC Gallery", 'logiscargo'),
			"base" => "tt_gallery_shortcode",
			'description' => esc_html__( 'Display Gallery images.', 'logiscargo' ),
			"category" => esc_html__('Logiscargo', 'logiscargo'),
			"params" => array(

				array(
					"type" => "dropdown",
					"heading" => esc_html__("Gallery Type", 'logiscargo'),
					"description" => esc_html__("There are 2 types of gallery in this theme.", 'logiscargo'),
					"param_name" => "gallery_type",
					"value" => array(
						'Type1' => 'type1',
						'Type2' => 'type2',
					)
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Extra Class", 'logiscargo'),
	                'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'logiscargo' ),
					"param_name" => "el_class",
				),
	            array(
	                'type' => 'css_editor',
	                'heading' => esc_html__( 'CSS box', 'logiscargo' ),
	                'param_name' => 'css',
	                // 'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'logiscargo' ),
	                'group' => esc_html__( 'Design Options', 'logiscargo' )
	            )
			)
		) 
	);
	
}
add_action( 'vc_before_init', 'tt_gallery_shortcode_fn_vc' );


if(class_exists('WPBakeryShortCode')) {
	class WPBakeryShortCode_tt_gallery_shortcode extends WPBakeryShortCode {
	}
}